/**
 *
 *  Betterville Item Shop Inherit
 *  @author Drakkos
 *  @started 31/03/2009
 *
 */
 
#include "path.h"

// Two inherits here, one for an inside room
inherit INHERITS + "inside_room";
// And another to handle the usual item shop functionality.
inherit "/std/shops/inherit/item_shop";

void create(){
  do_setup++;
  inside_room::create();
  item_shop::create();
  do_setup--;

  // When pulling objects from the armoury, we want them to come 
  // from the learning domain.
  set_object_domain ("learning");
  // Set the place as Genua for money stuff
  add_property ("place", "Genua");
  
  if ( !do_setup ){
    this_object()->setup();
    this_object()->reset();
  }
}

void dest_me() {
// Both inside_room and item_shop have a dest me function, 
// so we need to provide guidance to the MUD as to how to 
// resolve the clash.  We do one, then the other.
  inside_room::dest_me();
  item_shop::dest_me();
}

void init() {
// Both inside_room and item_shop have a init function, 
// so we need to provide guidance to the MUD as to how to 
// resolve the clash.  We do one, then the other.
  inside_room::init();
  item_shop::init();
}

void event_theft(object command_ob, object thief, object victim,
  object *stolen ) {
// Both inside_room and item_shop have an event_theft function, 
// so we need to provide guidance to the MUD as to how to 
// resolve the clash.  We do one, then the other.
  
  inside_room::event_theft (command_ob, thief, victim, stolen);
  item_shop::event_theft (command_ob, thief, victim, stolen);
}             